@import url("https://use.fontawesome.com/releases/v5.15.3/css/all.css");

/* Custom CSS Styles */
body {
    color: #000;
    font-family: "Nunito Sans", sans-serif;
}

/* Jumbotron custom CSS */
.jumbotron-fluid {
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
        url("https://source.unsplash.com/moheR9rdRGY/1920x800"),
        linear-gradient(180deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 100%);
    background-repeat: no-repeat;
    background-size: cover;
}

@media (min-width: 1200px) {
    .jumbotron-fluid {
        margin: 0 calc(-1.5rem - 570px);
    }
    .navbar {
        padding: 3rem calc((100vw + 1.5rem - 1140px) / 2);
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .jumbotron-fluid {
        margin: 0 calc(-1.5rem - 480px);
    }
    .navbar {
        padding: 3rem calc((100vw + 1.5rem - 960px) / 2);
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .jumbotron-fluid {
        margin: 0 calc(-1.5rem - 360px);
    }
    .navbar {
        padding: 3rem calc((100vw + 1.5rem - 720px) / 2);
    }
}

@media (min-width: 576px) and (max-width: 767px) {
    .jumbotron-fluid {
        margin: 0 calc(-1.5rem - 270px);
    }
    .navbar {
        padding: 3rem calc((100vw + 1.5rem - 540px) / 2);
    }
}

@media (max-width: 575px) {
    .jumbotron-fluid {
        margin: 0 -1.5rem;
    }
    .navbar {
        padding: 3rem 0;
    }
}
/* End Jumbotron custom CSS */

/* Carouse custom CSS */
@media (min-width: 1200px) {
    .carousel {
        margin: 0 calc(-1.5rem - (50vw - 570px));
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .carousel {
        margin: 0 calc(-1.5rem - (50vw - 480px));
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .carousel {
        margin: 0 calc(-1.5rem - (50vw - 360px));
    }
}

@media (min-width: 576px) and (max-width: 767px) {
    .carousel {
        margin: 0 calc(-1.5rem - (50vw - 270px));
    }
}

@media (max-width: 575px) {
    .carousel {
        margin: 0 -1.5rem;
    }
}

.carousel-indicators li {
    width: 20px;
    height: 20px;
    border: 1px solid transparent;
    border-radius: 20px;
}
/* End Carousel custom CSS */

/* For star rating color */
.checked {
    color: orange;
}

#shortcutTool {
    max-width: 80px;
    background-color: #20203b;
    border-radius: 2rem 0 0 2rem;
    right: -80px;
    bottom: 50%;
    transform: translate(0%, 50%);
    z-index: 100;
    transition: 0.2s;
    transition-timing-function: ease-in;
}

#shortcutTool #swiper {
    padding: 1.5rem 0.3rem;
    background-color: #20203b;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    left: -1.1rem;
    cursor: pointer;
    transition: 0.2s;
    transition-timing-function: ease-in;
}

#shortcutTool.active {
    right: 0px;
}

#shortcutTool > a:hover {
    background-color: #3caee9;
}

#shortcutTool > a:active {
    background-color: #3caee9;
}

#sidebarOverlay {
    right: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 16;
}

#sidebar {
    background-color: #3caee9;
    right: 0;
    top: 0;
    z-index: 1050;
    height: 100vh;
}

#sidebar > a {
    color: white;
    padding: 0.75rem 6rem 0.75rem 2rem;
}

#sidebar > a:hover {
    background-color: #3caee9;
    text-decoration: underline;
}

/* SB Admin 2 CSS override */
.modal-content {
    border-radius: 1.5rem;
}

.modal-header .close {
    padding: 1rem 1rem 0 0;
}

.modal-header {
    border-radius: 1.5rem 1.5rem 0rem 0rem;
}

.line {
    border-bottom: 0.1rem solid #dadada;
}

.topbar .topbar-divider {
    border-right: 2px solid #e3e6f0;
}

@media (min-width: 576px) {
    .nav-tabs .nav-link {
        color: gray;
        padding: 0.5rem 2.5rem;
    }
}

@media (max-width: 575px) {
    .nav-tabs .nav-link {
        color: gray;
        padding: 0.5rem 0.75rem;
    }
}

.nav-tabs .nav-link:hover {
    color: #3caee9;
    border-color: transparent;
}

.nav-tabs .nav-link.active {
    color: #004da3;
    border-top: 1px solid transparent;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    border-bottom: 3px solid #004da3;
}

@media (min-width: 576px) {
    .nav-pills .nav-item:first-child .nav-link {
        padding: 0.5rem 4rem;
    }

    .nav-pills .nav-link {
        padding: 0.5rem 4rem;
    }

    .nav-pills .nav-item:last-child .nav-link {
        padding: 0.5rem 4rem;
    }
}

@media (max-width: 575px) {
    .nav-pills .nav-item:first-child .nav-link {
        padding: 0.5rem 2rem;
    }

    .nav-pills .nav-link {
        padding: 0.5rem 2rem;
    }

    .nav-pills .nav-item:last-child .nav-link {
        padding: 0.5rem 2rem;
    }
}

.nav-pills .nav-item:first-child .nav-link {
    color: #3caee9;
    border: 1px solid #3caee9;
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
}

.nav-pills .nav-link {
    color: #3caee9;
    border: 1px solid #3caee9;
    border-radius: 0;
}

.nav-pills .nav-item:last-child .nav-link {
    color: #3caee9;
    border: 1px solid #3caee9;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

.nav-pills .nav-link.active {
    background-color: #3caee9;
    color: white !important;
    border: 1px solid #3caee9;
}

.modal-sm {
    max-width: 350px;
}

.form-group > label,
.form-check > label {
    font-size: 0.85rem;
}

.page-link {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border: 1px solid silver;
    border-radius: 50px !important;
    color: #20203b;
    box-shadow: 0 0.125rem 0.25rem 0 rgba(58, 59, 69, 0.2) !important;
    margin: 0 2px;
}

.page-link:hover {
    color: white;
    background-color: #20203b;
}

.page-item.active .page-link {
    color: white;
    background-color: #20203b;
}
/* End SB Admin 2 CSS override */

.btn-outline-biru-gelap {
    color: #20203b;
    border-color: #20203b;
}

.btn-outline-biru-gelap:hover {
    color: #fff;
    background-color: #20203b;
    border-color: #20203b;
}

.btn-outline-biru-gelap-2 {
    color: #004da3;
    border-color: #004da3;
}

.btn-outline-biru-gelap-2:hover {
    color: #fff;
    background-color: #004da3;
    border-color: #004da3;
}

.btn-outline-biru-muda {
    color: #3caee9;
    border-color: #3caee9;
}

.btn-outline-biru-muda:hover {
    color: #fff;
    background-color: #3caee9;
    border-color: #3caee9;
}

.btn-biru-gelap,
.btn-biru-gelap:hover {
    color: #fff;
    background-color: #20203b;
    border-color: #20203b;
}

.btn-biru-gelap-2,
.btn-biru-gelap-2:hover {
    color: #fff;
    background-color: #004da3;
    border-color: #004da3;
}

.btn-biru-muda,
.btn-biru-muda:hover {
    color: #fff;
    background-color: #3caee9;
    border-color: #3caee9;
}

.btn-terang,
.btn-terang:hover {
    color: #20203b;
    background-color: #e8e8e8;
    border-color: #e8e8e8;
}

.font-spartan {
    font-family: "Spartan", sans-serif !important;
}

.card-title-height {
    height: 3.5rem;
}

.two-line-ellipsis-overflow {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.two-line-ellipsis-overflow-clamp {
    width: 100%;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.border-left-biru-muda {
    border-left: 0.25rem solid #3caee9 !important;
}

.border-top-biru-muda {
    border-top: 0.25rem solid #3caee9 !important;
}

.text-biru-gelap {
    color: #20203b;
}

.text-biru-gelap-2 {
    color: #004da3;
}

.text-biru-gelap-3 {
    color: #005aa9;
}

.text-biru-muda {
    color: #3caee9;
}

.bg-biru-gelap {
    background-color: #20203b !important;
}

.bg-biru-gelap-2 {
    background-color: #004da3 !important;
}

.bg-biru-muda {
    background-color: #3caee9 !important;
}

.bg-img {
    background-size: cover;
    background-position: center;
}

.text-black,
.text-black:hover {
    color: black;
}

.rounded-more {
    border-radius: 1rem !important;
}

.video {
    width: 60rem;
    height: 30rem;
}

.card-article {
    height: 20rem;
    background-size: cover;
    background-position: center;
}

.card-article-type {
    width: fit-content;
    color: white;
    font-weight: bold;
    background-color: #a19d9b;
    border-radius: 20rem;
    padding: 0.3rem 0.6rem;
}

.video-embed iframe {
    width: 60rem !important;
    height: 30rem !important;
}

.card-article-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1rem;
    z-index: 20;
}

.layer-dark {
    width: 100%;
    height: 100%;
    background-color: #000000;
    position: absolute;
    opacity: 50%;
    z-index: 10;
}

.rounded-card-img {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    border-top-left-radius: 1rem !important;
    border-top-right-radius: 1rem !important;
}

.rounded-card-img-2 {
    border-bottom-left-radius: 1rem !important;
    border-bottom-right-radius: 0 !important;
    border-top-left-radius: 1rem !important;
    border-top-right-radius: 0 !important;
}

.form-control-garis-biru {
    border-top: 1px solid transparent !important;
    border-left: 1px solid transparent !important;
    border-right: 1px solid transparent !important;
    border-bottom: 1px solid #3caee9 !important;
    border-radius: 0;
    font-size: 0.85rem;
}

.navbar .nav-item-biru {
    border-bottom: 3px solid transparent;
    box-sizing: border-box;
}

.navbar .nav-item-biru:hover {
    border-bottom: 3px solid #3caee9;
    box-sizing: border-box;
}

.header-biru-muda {
    border: 1px solid #3caee9;
    background-color: #3caee9;
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    border-top-left-radius: 1.5rem !important;
    border-top-right-radius: 1.5rem !important;
}

/* Custom radio button */
input[type="radio"]:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: white;
    content: "";
    display: inline-block;
    visibility: visible;
    border: 2px solid #3caee9;
}

input[type="radio"]:checked:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: #3caee9;
    content: "";
    display: inline-block;
    visibility: visible;
    border: 2px solid #3caee9;
}
/* End custom radio button */

/* Custom checkbox button */
input[type="checkbox"]:after {
    width: 15px;
    height: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: white;
    content: "";
    display: inline-block;
    visibility: visible;
    border: 2px solid #3caee9;
}

input[type="checkbox"]:checked:after {
    width: 15px;
    height: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAcAAAAHCAQAAABuW59YAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqYAAAXb5JfxUYAAAB2SURBVHjaAGkAlv8A3QDyAP0A/QD+Dam3W+kCAAD8APYAAgTVZaZCGwwA5wr0AvcA+Dh+7UX/x24AqK3Wg/8nt6w4/5q71wAAVP9g/7rTXf9n/+9N+AAAtpJa/zf/S//DhP8H/wAA4gzWj2P4lsf0JP0A/wADAHB0Ngka6UmKAAAAAElFTkSuQmCC"),
        linear-gradient(#3caee9 0%, #3caee9 100%);
    background-repeat: no-repeat;
    background-position: center;
    content: "";
    text-align: center;
    color: white;
    display: inline-block;
    visibility: visible;
    border: 2px solid #3caee9;
}
/* End custom radio button */

/* LIVECHAT MODAL */
.modal-livechat-container {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.modal-livechat {
    width: 3.5rem;
    height: 5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10%;
    margin-top: 1rem;
    border-radius: 10%;
    background-color: #3caee9;
}

.modal-livechat-whatsapp {
    width: 5rem;
    height: 5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10%;
    margin-top: 1rem;
    border-radius: 100%;
    background-color: #2BA71C;
}

.modal-livechat img {
    width: 100%;
    object-fit: contain;
}

.modal-livechat-whatsapp img {
    width: 80%;
    border-radius: 100%;
    object-fit: contain;
}
/* END OF LIVECHAT MODAL */

/* Custom CSS vertical timeline */
ul.timeline {
    list-style-type: none;
    position: relative;
}
ul.timeline:before {
    content: " ";
    background: #d4d9df;
    display: inline-block;
    position: absolute;
    left: 29px;
    width: 2px;
    height: 100%;
    z-index: 400;
}
ul.timeline > li {
    margin: 20px 0;
    padding-left: 20px;
}
ul.timeline > li:before {
    content: " ";
    background: #3caee9;
    display: inline-block;
    position: absolute;
    border-radius: 50%;
    border: 3px solid #3caee9;
    left: 20px;
    width: 20px;
    height: 20px;
    z-index: 400;
}
/* End Custom CSS vertical timeline */

/* Custom CSS Horizontal timeline */
.timeline-horizontal {
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-inline-start: 0;
    max-width: 100%;
}

.li {
    transition: all 200ms ease-in;
}

.status {
    padding: 0px 40px;
    display: flex;
    justify-content: center;
    border-top: 2px solid #d6dce0;
    position: relative;
    transition: all 200ms ease-in;
}
.status h6 {
    font-weight: 600;
    padding-top: 1rem;
    text-align: center;
    color: gray;
}
.status:before {
    content: "";
    width: 25px;
    height: 25px;
    background-color: #d6dce0;
    border-radius: 25px;
    border: 1px solid #d6dce0;
    position: absolute;
    top: -15px;
    left: 42%;
    transition: all 200ms ease-in;
}
.li.complete .status:before {
    content: "\2713";
    color: white;
    text-align: center;
    background-color: #3caee9;
    border: none;
    transition: all 200ms ease-in;
    display: flex;
    justify-content: center;
    align-items: center;
}
.li.complete .status h6 {
    color: black;
}
.li.in-progress .status:before {
    background-color: #3caee9;
    border: 1px solid #3caee9;
    transition: all 200ms ease-in;
}
.li.in-progress .status h6 {
    color: black;
}
.li.failed .status:before {
    background-color: red;
    border: 1px solid red;
    transition: all 200ms ease-in;
}
.li.failed .status h6 {
    color: red;
}

@media (min-device-width: 320px) and (max-device-width: 700px) {
    .timeline-horizontal {
        list-style-type: none;
        display: block;
    }

    .li {
        transition: all 200ms ease-in;
        display: flex;
        width: inherit;
    }

    .status:before {
        left: -8%;
        top: 30%;
        transition: all 200ms ease-in;
    }
}
/* End Custom CSS Horizontal timeline */

.searchbar {
    margin-bottom: auto;
    margin-top: auto;
    height: 50px;
    background-color: #353b48;
    border-radius: 30px;
    padding: 10px;
    display: flex;
    flex-direction: row;
}

.float {
    position: fixed;
    width: 2.75rem;
    height: 2.75rem;
    bottom: 1rem;
    right: 1rem;
    background-color: #2BA71C;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    z-index: 10000;
    transition: all 0.3s ease-in-out;
}

.float-top {
    bottom: 4.5rem !important;
}

.my-float {
    margin-top: 0px;
}
